Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javadoc
Interface Doc

All Known Subinterfaces:
  ClassDoc, ConstructorDoc, ExecutableMemberDoc, FieldDoc, MemberDoc, MethodDoc, PackageDoc, ProgramElementDoc, RootDoc

public abstract interface Doc
extends java.io.Serializable, java.lang.Comparable

abstract base class of all Doc classes. Doc item's are representations of java language constructs (class, package, method,...) which have comments and have been processed by this run of javadoc. All Doc items are unique, that is, they are == comparable.

Since:
  1.2

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`java.lang.String` | `commentText()` Return the text of the comment for this doc item.
`int` | `compareTo(java.lang.Object obj)` Compares this Object with the specified Object for order.
`Tag[]` | `firstSentenceTags()` Return the first sentence of the comment as tags.
`java.lang.String` | `getRawCommentText()` Return the full unprocessed text of the comment.
`Tag[]` | `inlineTags()` Return comment as tags.
`boolean` | `isClass()` Is this Doc item a class.
`boolean` | `isConstructor()` Is this Doc item a constructor? False until overridden.
`boolean` | `isError()` Is this Doc item a error class? False until overridden.
`boolean` | `isException()` Is this Doc item a exception class? False until overridden.
`boolean` | `isField()` Is this Doc item a field? False until overridden.
`boolean` | `isIncluded()` return true if this Doc is include in the active set.
`boolean` | `isInterface()` Is this Doc item a interface? False until overridden.
`boolean` | `isMethod()` Is this Doc item a simple method (i.e.
`boolean` | `isOrdinaryClass()` Is this Doc item a ordinary class (i.e.
`java.lang.String` | `name()` Returns the name of this Doc item.
`SeeTag[]` | `seeTags()` Return the see also tags in this Doc item.
`void` | `setRawCommentText(java.lang.String rawDocumentation)` Set the full unprocessed text of the comment.
`Tag[]` | `tags()` Return all tags in this Doc item.
`Tag[]` | `tags(java.lang.String tagname)` Return tags of the specified kind in this Doc item.

Method Detail

### commentText

    public java.lang.String commentText()

  Return the text of the comment for this doc item. Tags have been removed.

### tags

    public Tag[] tags()

  Return all tags in this Doc item.
  Returns:
    an array of Tag containing all tags on this Doc item.

### tags

    public Tag[] tags(java.lang.String tagname)

  Return tags of the specified kind in this Doc item.
  Parameters:
    `tagname` - name of the tag kind to search for.
  Returns:
    an array of Tag containing all tags whose 'kind()' matches 'tagname'.

### seeTags

    public SeeTag[] seeTags()

  Return the see also tags in this Doc item.
  Returns:
    an array of SeeTag containing all @see tags.

### inlineTags

    public Tag[] inlineTags()

  Return comment as tags. Includes inline tags (i.e. {@link reference} tags) but not regular tags. Each section of plain text is represented as a `Tag` of kind "Text". Inline tags are represented as a `SeeTag` of kind "link".
  Returns:
    an array of `Tag`s representing the comment

### firstSentenceTags

    public Tag[] firstSentenceTags()

  Return the first sentence of the comment as tags. Includes inline tags (i.e. {@link reference} tags) but not regular tags. Each section of plain text is represented as a `Tag` of kind "Text". Inline tags are represented as a `SeeTag` of kind "link". First sentence is determined by `java.text.BreakIterator#getSentenceInstance(Locale)`.
  Returns:
    an array of `Tag`s representing the first sentence of the comment

### getRawCommentText

    public java.lang.String getRawCommentText()

  Return the full unprocessed text of the comment. Tags are included as text. Used mainly for store and retrieve operations like internalization.

### setRawCommentText

    public void setRawCommentText(java.lang.String rawDocumentation)

  Set the full unprocessed text of the comment. Tags are included as text. Used mainly for store and retrieve operations like internalization.

### name

    public java.lang.String name()

  Returns the name of this Doc item.
  Returns:
    the name

### compareTo

    public int compareTo(java.lang.Object obj)

  Compares this Object with the specified Object for order. Returns a negative integer, zero, or a positive integer as this Object is less than, equal to, or greater than the given Object.

  Included so that Doc item are java.lang.Comparable.

  Specified by:
    compareTo in interface java.lang.Comparable
  Parameters:
    `o` - the `Object` to be compared.
  Returns:
    a negative integer, zero, or a positive integer as this Object is less than, equal to, or greater than the given Object.
  Throws:
    ClassCastException - the specified Object's type prevents it from being compared to this Object.

### isField

    public boolean isField()

  Is this Doc item a field? False until overridden.
  Returns:
    true if it represents a field

### isMethod

    public boolean isMethod()

  Is this Doc item a simple method (i.e. not a constructor)? False until overridden.
  Returns:
    true is it represents a method, false if it is anything else, including constructor, field, class, ...

### isConstructor

    public boolean isConstructor()

  Is this Doc item a constructor? False until overridden.
  Returns:
    true is it represents a constructor

### isInterface

    public boolean isInterface()

  Is this Doc item a interface? False until overridden.
  Returns:
    true is it represents a interface

### isException

    public boolean isException()

  Is this Doc item a exception class? False until overridden.
  Returns:
    true is it represents a exception

### isError

    public boolean isError()

  Is this Doc item a error class? False until overridden.
  Returns:
    true is it represents a error

### isOrdinaryClass

    public boolean isOrdinaryClass()

  Is this Doc item a ordinary class (i.e. not an interface, exception, or error)? False until overridden.
  Returns:
    true is it represents a class

### isClass

    public boolean isClass()

  Is this Doc item a class. Note: interfaces are not classes. False until overridden.
  Returns:
    true is it represents a class

### isIncluded

    public boolean isIncluded()

  return true if this Doc is include in the active set.

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD